Package com.explodingpixels.macwidgets

## Class MacColorUtils

- java.lang.Object
- - com.explodingpixels.macwidgets.MacColorUtils

    public class MacColorUtils
    extends java.lang.Object

Utility methods for dealing with Mac colors.

### Field Summary

Fields
`static java.awt.Color` `EMPTY_COLOR`
`static java.awt.Color` `LEOPARD_BORDER_COLOR`

### Constructor Summary

Constructors
`MacColorUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.awt.Color` `getTexturedWindowToolbarBorderFocusedColor()` Gets the color used to separate a `UnifiedToolBar` from the window content when the window is active.
`static java.awt.Color` `getTexturedWindowToolbarBorderUnfocusedColor()` Gets the color used to separate a `UnifiedToolBar` from the window content when the window is inactive.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_COLOR

    public static java.awt.Color EMPTY_COLOR

#### LEOPARD_BORDER_COLOR

    public static java.awt.Color LEOPARD_BORDER_COLOR

### Constructor Detail

#### MacColorUtils

    public MacColorUtils()

### Method Detail

#### getTexturedWindowToolbarBorderFocusedColor

    public static java.awt.Color getTexturedWindowToolbarBorderFocusedColor()

Gets the color used to separate a `UnifiedToolBar` from the window content when the window is active.

Returns:
  the border color when the window is active.

#### getTexturedWindowToolbarBorderUnfocusedColor

    public static java.awt.Color getTexturedWindowToolbarBorderUnfocusedColor()

Gets the color used to separate a `UnifiedToolBar` from the window content when the window is inactive.

Returns:
  the border color when the window is inactive.